
var xhr;

function CreateXmlHttp(){
    // Probamos con IE
    try{        // FuncionarÃ¡ para JavaScript 5.0
        xmlHttp = new ActiveXObject("Msxml2.XMLHTTP");
    }
    catch(e){
        try{
            xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
        }
        catch(oc){
            xmlHttp = null;
        }
    }
    // Si no se trataba de un IE, probamos con esto
    if(!xmlHttp && typeof XMLHttpRequest != "undefined")
    {
        xmlHttp = new XMLHttpRequest();
    }

    return xmlHttp;
}


function limpiarconstancia(){
     window.location.href='page_certificados.php';
}

//-----------------------------------------------------
function get(id){
    return document.getElementById(id).value;
}



//-----------------------------------
function parametro( name ){
	var regexS = "[\\?&]"+name+"=([^&#]*)";
	var regex = new RegExp ( regexS );
	var tmpURL = window.location.href;
	var results = regex.exec( tmpURL );
	if( results == null )
		return "";
	else
		return results[1];
}




  function comprobar_codigo(){

    var cod=document.getElementById('codigo').value;

    var parametros = {"accion":'info_comp_codigo',"codigo":cod};
        $.ajax({
                data:  parametros,
                url:"datos_certificados.php",
                type:  'post',
                success:function (response){

                    if(response=='no'){
                       alert('No registrado');
                       document.getElementById('codigo').focus();
                       limpiarcertfinal_2();

                    }else {
                        var res = response.split("+");
                        document.getElementById('nombres').value=res[0];
                        document.getElementById('g_id1').value=res[1];
                        document.getElementById('g_id2').value=res[2];
                        document.getElementById('c_id1').value=res[3];
                        document.getElementById('c_id2').value=res[4];
                        document.getElementById('j_id1').value=res[5];
                        document.getElementById('j_id2').value=res[6];
                        document.getElementById('s_id1').value=res[7];
                        document.getElementById('s_id2').value=res[8];

                        generarleyen();
                    }
            }
        });

        

}


function limpiarcertfinal_2(){

    document.getElementById('codigo').value='';
    document.getElementById('nombres').value='';

    document.getElementById('g_id1').value='';
    document.getElementById('g_id2').value='';

    document.getElementById('c_id1').value='';
    document.getElementById('c_id2').value='';

    document.getElementById('j_id1').value='';
    document.getElementById('j_id2').value='';


    document.getElementById('s_id1').value='';
    document.getElementById('s_id2').value='';

    document.getElementById('leyen').value='';
}


function grabarcer(){

    var numero=get('numero');
    var folio=get('folio');
    var leyen=get('leyenda');

    var codigo=get('codigo');
    
    if(folio==''){
        alert('Ingrese Numero');
        exit();
    }
    
    if(numero==''){
        alert('Ingrese Folio');
        exit();
    }

    if(leyen==''){
        alert('Ingrese Leyenda');
        exit();
    }

    var parametros = {"accion":'guardar_constancia',"numero":numero,"folio":folio,"leyenda":leyen
                           };
        $.ajax({
                data:  parametros,
                url:"datos_certificados.php",
                type:  'post',
                success:function (response){
                     
                            //window.location.href='page_certificados.php';
                            window.open('certificados_finales.php?codigo='+codigo,"width=1000,height=500,scrollbars=NO");
                    }

        });
    
}

function generarleyen(){
    
    
    var cod=get('codigo');
    var descod=get('nombres');

    var grad=get('g_id1');
    var desgrad=get('g_id2');

    var cur=get('c_id1');
    var descur=get('c_id2');

    var jor=get('j_id1');
    var desjor=get('j_id2');


    var sede=get('s_id1');
    var dessede=get('s_id2');


    if(cod=='')
      {
        alert('Ingrese Codigo');
        exit();
      }

    

    var parametros = {"accion":'generar_leyenda',
                                                "cod":cod,
                                                "descod":descod,
                                                "grad":grad,
                                                "desgras":desgrad,
                                                "cur":cur,
                                                "descur":descur,
                                                "jor":jor,
                                                "desjor":desjor,
                                                "sede":sede,
                                                "dessede":dessede
                                            };

   
            $.ajax({
                    data:  parametros,
                    url:"datos_certificados.php",
                    type:  'POST',
                    success:function (response){
   
                       document.getElementById('leyenda').value=response;

                       

                    }
            });

    
}

function imprimir(){
    var per=get('p_id1');
    var desper=get('p_id2');

    var cod=get('codigo');
    var descod=get('nombres');

    var grad=get('g_id1');
    var desgrad=get('g_id2');

    var cur=get('c_id1');
    var descur=get('c_id2');

    var jor=get('j_id1');
    var desjor=get('j_id2');


    var sede=get('s_id1');
    var dessede=get('s_id2');

    var des=get('destino');
    var leyen=get('leyen');

    var parametros='?codper='+per+'&desper='+desper+'&cod='+cod+'&descod='+descod+'&grad='+grad+'&desgrad='+desgrad+'&cur='+cur+'&descur='+descur+'&jor='+jor+'\n\
        &desjor='+desjor+'&sede='+sede+'&dessede='+dessede+'&des='+des+'&leyen='+leyen;

    alert(parametros);

    if(per=='')
      {
        alert('Ingrese Periodo');
        exit();
      }

    if(cod=='')
      {
        alert('Ingrese Codigo');
        exit();
      }


    if(des=='')
      {
        alert('Ingrese Destino');
        exit();
      }



    window.open('app/model/reportes/constancia.php',"width=1000,height=500,scrollbars=NO");
}


function retornarprin(){
    window.location.href='../menu.php'
}


function numero(){

    var parametros = {'accion':'numero'};


            $.ajax({
                    data:  parametros,
                    url:"datos_certificados.php",
                    type:  'post',
                    success:function (response){
                      
                        var arr=response.split(";");
                        document.getElementById('numero').value=arr[0];
                        document.getElementById('folio').value=arr[1];

                    }
            });
}